{% extends 'base.html.twig' %}

{% block title %}Hospital{% endblock %}

{% block body %}
    <h1>Hospital</h1>

    <table class="table">
        <tbody>
        <tr>
            <th>Name</th>
            <td>{{ hospital.name }}</td>
        </tr>
        <tr>
            <th>Address</th>
            <td>{{ hospital.address }}</td>
        </tr>
        <tr>
            <th>Npa</th>
            <td>{{ hospital.npa }}</td>
        </tr>
        <tr>
            <th>City</th>
            <td>{{ hospital.city }}</td>
        </tr>
        <tr>
            <th>Country</th>
            <td>{{ hospital.country }}</td>
        </tr>
        <tr>
            <th>Rooms</th>
            <td>
                {% for room in hospital.rooms %}
                    {{ room }}
                    {% for admission in room.admissions %}
                        {# BONUS: Les admission EN COURS uniquement #}
                        {% if not admission.deletedAt %}
                            {{ admission }} <a href="{{ path('patient_show',{'id':admission.patient.id}) }}">show</a>
                        {% endif %}
                    {% endfor %}
                    <br><br>
                {% endfor %}
            </td>
        </tr>
        </tbody>
    </table>

    <a href="{{ path('hospital_index') }}">back to list</a>

    <a href="{{ path('hospital_edit', {'id': hospital.id}) }}">edit</a>
{% endblock %}
